package javax.swing.text.html;

import javax.swing.text.Element;
import java.net.URL;
import javax.swing.event.HyperlinkEvent;

public class FormSubmitEvent extends HTMLFrameHyperlinkEvent
{
    private FormSubmitEvent.MethodType method;
    private String data;
    
    FormSubmitEvent(Object o, HyperlinkEvent.EventType eventType, URL url, Element element, String s, FormSubmitEvent.MethodType method, String data) {
        super(o, eventType, url, element, s);
        this.method = method;
        this.data = data;
    }
    
    public FormSubmitEvent.MethodType getMethod() {
        return this.method;
    }
    
    public String getData() {
        return this.data;
    }
    
    public enum MethodType
    {
        GET, 
        POST;
    }
}
